/*+*****************************************************************************
*                                                                              *
* File: opt.h                                                                  *
*                                                                              *
**-****************************************************************************/

/*
 * @(#)opt.h	1.6	01/13/98	Written by Lionel Cons
 */

#ifndef _opt_h_
#define _opt_h_

/******* Include Files ********************************************************/

#include <X11/Intrinsic.h>

/******* Constants ************************************************************/

/******* Macros ***************************************************************/

/******* Types ****************************************************************/

/*
 * structure holding all the user selectable options
 */
typedef struct MXCONNS_OPTS_ {
  Boolean verbose;		/* should I print the display (no) */
  Boolean hunt;			/* should I hunt for a display (no) */
  Boolean fork;			/* should I fork (no) */
  Boolean ident;		/* should I use the IDENT protocol (no) */
  int     dispno;		/* which display to use (5) */
#ifdef DEBUG
  int     debug;		/* debug flags (0) */
  String  debug_s;		/* idem but as a string */
#endif
  int     icf;			/* initial connection flags (0) */
  String  icf_s;		/* idem but as a string */
  String  iname;		/* icon name (application name) */
  String  config;		/* path of the configuration file () */
} MXCONNS_OPTS;

/******* Variables ************************************************************/

extern MXCONNS_OPTS opt;

/******* Functions ************************************************************/

Widget opt_init(int, char **);

#endif /* _opt_h_ */
/* DON'T ADD ANYTHING AFTER THIS LINE */
